#include "wfdisplay.h"


WFDisplay::WFDisplay(QWidget *parent, unsigned int bufferSize, unsigned int xMAX, unsigned int yMAX) :
    QWidget(parent)
{
    waveforms_LAYOUT = new QVBoxLayout;

    spwTabWidget = new QTabWidget;

    page_f0 = new WFPage( 0, bufferSize, xMAX, yMAX );
    page_f1 = new WFPage( 0, bufferSize, xMAX, yMAX );
    page_f2 = new WFPage( 0, bufferSize, xMAX, yMAX );
    page_f3 = new WFPage( 0, bufferSize, xMAX, yMAX );

    page_f0->pageTitle = "NORM_SWF_F0";
    page_f1->pageTitle = "NORM_SWF_F1";
    page_f2->pageTitle = "NORM_SWF_F2";
    page_f3->pageTitle = "NORM_CWF_F3";

    spwTabWidget->addTab(page_f0, tr("f0 (24576 Hz)"));
    spwTabWidget->addTab(page_f1, tr("f1 (4096 Hz"));
    spwTabWidget->addTab(page_f2, tr("f2 (256 Hz)"));
    spwTabWidget->addTab(page_f3, tr("f3 (16 Hz)"));

    waveforms_LAYOUT->addWidget(spwTabWidget);

    this->setLayout(waveforms_LAYOUT);

}

void WFDisplay::displayOnPlot(short *data, unsigned char num_page, unsigned char num,
                              unsigned int coarseTime, unsigned int fineTime, float deltaT, unsigned int nbData)
{
    QVector<double> x(nbData), y(nbData);

    for (unsigned int i=0; i<nbData; ++i)
    {
        x[i] = i;
        y[i] = (double) data[i];
    }
    switch(num_page){
        case 0:
            page_f0->displayOnPlot(data, num, coarseTime, fineTime, deltaT, nbData);
            break;
        case 1:
            page_f1->displayOnPlot(data, num, coarseTime, fineTime, deltaT, nbData);
            break;
        case 2:
            page_f2->displayOnPlot(data, num, coarseTime, fineTime, deltaT, nbData);
            break;
        case 3:
            page_f3->displayOnPlot(data, num, coarseTime, fineTime, deltaT, nbData);
            break;
    }

}
